#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CollectionsSingleCampaignRuntimeData.generated.h"

USTRUCT(BlueprintType)
struct FCollectionsSingleCampaignRuntimeData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FString> CollectionIds;

	UPROPERTY(EditInstanceOnly, Transient)
	FDateTime ActiveFromDate;

	UPROPERTY(EditInstanceOnly, Transient)
	FDateTime ActiveToDate;

	UPROPERTY(EditInstanceOnly, Transient)
	uint32 MaxViews;

	UPROPERTY(EditInstanceOnly, Transient)
	uint32 SessionsBetweenViews;

	UPROPERTY(EditInstanceOnly, Transient)
	TArray<FSoftObjectPath> VideosURI;

public:
	DEADBYDAYLIGHT_API FCollectionsSingleCampaignRuntimeData();
};

FORCEINLINE uint32 GetTypeHash(const FCollectionsSingleCampaignRuntimeData) { return 0; }
